Subject: [PATCH 5/8] watchdog: bindings: Provide ST bindings for ST's LPC Watchdog device

From: [email-masked] (Arnd Bergmann)
Date: Wed, 17 Dec 2014 22:54:12 +0100

On Wednesday 17 December 2014 16:45:24 Lee Jones wrote:
> +- compatible   : Must be one of: "st,stih407-lpc" "st,stih416-lpc"
> +                                 "st,stih415-lpc" "st,stid127-lpc"
> +- reg          : LPC registers base address + size
> +- interrupts    : LPC interrupt line number and associated flags
> +- clocks       : Clock used by LPC device (See: ../clock/clock-bindings.txt)
> +- st,lpc-mode  : The LPC can run either one of two modes ST_LPC_MODE_RTC [0] or
> +                 ST_LPC_MODE_WDT [1].  One (and only one) mode must be
> +                 selected.
> 

I'm glad you got it to work with two drivers for the same device.

With this binding, I'm still a bit unhappy about the st,lpc-mode property,
in particular since you rely on a shared include file for something that
can only be set in one way or another and always has to be present.

Why not just use a boolean property that enforces one mode when present
and another mode when absent?

	Arnd